import { entityIdAttr } from "../../../../utils/entity-id.js";
import { nodeTypeFactory } from "../../../../utils/schema.js";
export var YfmHtmlBlockAttrs;
(function (YfmHtmlBlockAttrs) {
    // @ts-expect-error error TS18055
    YfmHtmlBlockAttrs["EntityId"] = "data-entity-id";
    YfmHtmlBlockAttrs["class"] = "class";
    YfmHtmlBlockAttrs["frameborder"] = "frameborder";
    // MAJOR: remove before next major
    /** @deprecated This is no longer used. Removed in next major version */
    YfmHtmlBlockAttrs["newCreated"] = "newCreated";
    YfmHtmlBlockAttrs["srcdoc"] = "srcdoc";
    YfmHtmlBlockAttrs["style"] = "style";
})(YfmHtmlBlockAttrs || (YfmHtmlBlockAttrs = {}));
export const yfmHtmlBlockNodeName = 'yfm_html_block';
export const yfmHtmlBlockNodeType = nodeTypeFactory(yfmHtmlBlockNodeName);
export const YfmHtmlBlockAction = 'createYfmHtmlBlock';
export const YfmHtmlBlockConsts = {
    NodeName: yfmHtmlBlockNodeName,
    NodeAttrs: YfmHtmlBlockAttrs,
    nodeType: yfmHtmlBlockNodeType,
};
export const defaultYfmHtmlBlockEntityId = yfmHtmlBlockNodeName + '#0';
//# sourceMappingURL=const.js.map
